org.apache.commons.collections4.functors

## Class TransformerPredicate<T>

- java.lang.Object
- - org.apache.commons.collections4.functors.TransformerPredicate<T>

- All Implemented Interfaces:
    Serializable, Predicate<T>

      public final class TransformerPredicate<T>
      extends Object
      implements Predicate<T>, Serializable

  Predicate implementation that returns the result of a transformer.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransformerPredicate(Transformer<? super T,Boolean> transformer)` Constructor that performs no validation.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(T object)` Evaluates the predicate returning the result of the decorated transformer.
    `Transformer<? super T,Boolean>` | `getTransformer()` Gets the transformer.
    `static <T> Predicate<T>` | `transformerPredicate(Transformer<? super T,Boolean> transformer)` Factory to create the predicate.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformerPredicate

          public TransformerPredicate(Transformer<? super T,Boolean> transformer)

      Constructor that performs no validation. Use `transformerPredicate` if you want that.
      Parameters:
        `transformer` - the transformer to decorate

  - ### Method Detail

    - #### transformerPredicate

          public static <T> Predicate<T> transformerPredicate(Transformer<? super T,Boolean> transformer)

      Factory to create the predicate.
      Type Parameters:
        `T` - the type that the predicate queries
      Parameters:
        `transformer` - the transformer to decorate
      Returns:
        the predicate
      Throws:
        `NullPointerException` - if the transformer is null

    - #### evaluate

          public boolean evaluate(T object)

      Evaluates the predicate returning the result of the decorated transformer.
      Specified by:
        `evaluate` in interface `Predicate<T>`
      Parameters:
        `object` - the input object
      Returns:
        true if decorated transformer returns Boolean.TRUE
      Throws:
        `FunctorException` - if the transformer returns an invalid type

    - #### getTransformer

          public Transformer<? super T,Boolean> getTransformer()

      Gets the transformer.
      Returns:
        the transformer
      Since:
        3.1

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.